Bug 531027 - [abrt] crash detected in system-config-display-2.2-1.fc12
[abrt] crash detected in system-config-display-2.2-1.fc12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
abrt_hash:a632bfbd
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-26 11:13 EDT by Tony White
Modified: 2010-12-03 22:41 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:41:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.06 KB, text/plain)
2009-10-26 11:13 EDT, Tony White
no flags Details

  None (edit)
Description Tony White 2009-10-26 11:13:21 EDT
abrt detected a crash.


How to reproduce
-----
1.
2.
3.


Comment
-----
system-config-display
/usr/share/themes/Clearlooks/gtk-2.0/gtkrc:51: Invalid symbolic color 'bg_color'
/usr/share/themes/Clearlooks/gtk-2.0/gtkrc:51: error: invalid identifier `bg_color', expected valid identifier
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 211, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 211, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 166, in ok
    lower_vrefresh, upper_vrefresh = self.second_monitor_vrefresh
ValueError: too many values to unpack

Intel 855GM Graphics adapter with laptop 1024 x 768 screen. vga output plugged into a HN198D Hanns-G Monitor that has 1280x1024 display resolution.
When the monitor is plugged in and the machine boots the display on the laptopscreen is 800x600 and should be 1024 x 768, which is the display resolution when the external Hanns-G monitor is not plugged in.
The correct setting for dual display for this laptop machine is dual 1024 x 768. As tsted with Windows XP.
I tried to use system-config-display as per the errata to change the resolution to try to fix the problem but it obviously failed.

Additional information
======


Attached files
----
backtrace

cmdline
-----
python2 /usr/share/system-config-display/xconf.py 


component
-----
system-config-display


executable
-----
/usr/share/system-config-display/xconf.py


kernel
-----
2.6.31.1-56.fc12.i686


package
-----
system-config-display-2.2-1.fc12


uuid
-----
a632bfbd
Comment 1 Tony White 2009-10-26 11:13:23 EDT
Created attachment 366111 [details]
File: backtrace
Comment 2 Matěj Cepl 2009-11-05 12:19:17 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 3 Bug Zapper 2009-11-16 09:21:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Matěj Cepl 2010-02-26 07:20:41 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 5 Matěj Cepl 2010-02-26 07:29:39 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Notice, that this is an automatically filed comment for all bugs with hanging NEEDINFO for longer time; it is possible by quirks of bugzilla, that some bugs are in this state even though you have attached the required information; please, make a comment to this bug ... that we should see correctly; I am sorry for the bothering you in such case.]
Comment 6 Aaron Hagopian 2010-03-02 15:36:16 EST
Not the original reporter but still not working on my system.  system-config-display still crashes on my system.  Here is the output:

[root@schwartz ahagopian]# system-config-display 
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 378, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 664, in __init__
    self.xml.get_widget("secondMonitorLabel").set_text(monitor_list[1].modelname)
TypeError: GtkLabel.set_text() argument 1 must be string, not None


This may be completely separate but the KDE display manager used to mess up my multi-monitor setup as well.  When I would bring that up it would change my display to a single cloned monitor but now with KDE 4.4 it seems to display the correct info.  So if some of the changes you mentioned would have fixed that then its a step in the right direction but the system-config-display tool (which is useful to run without X running for an initial setup) will not work on my machine still.
Comment 7 s23bog 2010-08-30 23:29:50 EDT
I have not experienced the problem in some time.  I think within months of reporting the problem, it cleared up with an update.

The problem I had, I believe was due to me using a docking station, with a second monitor attached.

Anyhow, all clear here.
Comment 8 Bug Zapper 2010-11-04 05:06:55 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-03 22:41:09 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.